/*
 *  By: Sunil Kumar
 *  Cad2D Module. Module to draw simple 2D geometry objects and serialization using GeoIO module.
 *  This code is free and is distributed in the hope that it will be useful for simple learning and experimental purpose only WITHOUT any WARRANTY.
 *  The author shall hold no redistribution liability in case of any unethical usage/modification.
 *  Distributed under CPOL.
 */
// PolgonDataDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Cad2D.h"
#include "PolgonDataDlg.h"
#include "afxdialogex.h"


// CPolgonDataDlg dialog

IMPLEMENT_DYNAMIC(CPolgonDataDlg, CDialog)

CPolgonDataDlg::CPolgonDataDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPolgonDataDlg::IDD, pParent)
	, m_nNumOfSides(0)
{

}

CPolgonDataDlg::~CPolgonDataDlg()
{
}

void CPolgonDataDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_NUM_OF_SIDES, m_nNumOfSides);
	DDV_MinMaxInt(pDX, m_nNumOfSides, 3, 50);
}


BEGIN_MESSAGE_MAP(CPolgonDataDlg, CDialog)
END_MESSAGE_MAP()


// CPolgonDataDlg message handlers
