// Primitive.cpp: implementation of the CPrimitive class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Primitive.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


CPrimitive::CPrimitive()
{
	m_bEntityDeleted = FALSE;
	m_StPnt = CPoint(0,0);
	m_EndPnt = CPoint(0,0);
	m_clr = RGB(255, 255, 255);
	m_nEntityNum = 0;
	m_geoEntityType = GEOIO_UNDEFINED;
}

CPrimitive::~CPrimitive()
{

}

CPoint CPrimitive::GetStartPoint()
{
	return m_StPnt;
}

CPoint CPrimitive::GetEndPoint()
{
	return m_EndPnt;
}

COLORREF CPrimitive::GetEntityColor()
{
	return m_clr;
}

BOOL CPrimitive::IsEntityDeleted()
{
	return m_bEntityDeleted;
}

void CPrimitive::SetDeleted()
{
	m_bEntityDeleted = TRUE;
}

void CPrimitive::SetStartPoint(CPoint startPnt)
{
	m_StPnt = startPnt;
}

void CPrimitive::SetEndPoint(CPoint endPnt)
{
	m_EndPnt = endPnt;
}

void CPrimitive::SetEntityType(GEO_ENTITY_TYPE geoType)
{
	m_geoEntityType = geoType;
}

GEO_ENTITY_TYPE CPrimitive::GetEntityType()
{
	return m_geoEntityType;
}

void CPrimitive::SetEntityColor(COLORREF clr)
{
	m_clr = clr;
}

void CPrimitive::SetEntityNumber(int nEntityNum)
{
	m_nEntityNum = nEntityNum;
}

int CPrimitive::GetEntityNumber()
{
	return m_nEntityNum;
}
